Index: code/branches/FICN/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/Orxonox.cc	(revision 673)
+++ code/branches/FICN/src/orxonox/Orxonox.cc	(revision 708)
@@ -32,5 +32,4 @@
 
 //****** OGRE ******
-#include <OgreString.h>
 #include <OgreException.h>
 #include <OgreRoot.h>
@@ -47,9 +46,11 @@
 
 //****** STD *******
-#include <string>
 #include <iostream>
 #include <exception>
 
 //***** ORXONOX ****
+//misc
+#include "misc/Sleep.h"
+
 // loader and audio
 #include "loader/LevelLoader.h"
@@ -77,8 +78,6 @@
 namespace orxonox
 {
-  using namespace Ogre;
-
    // put this in a seperate Class or solve the problem in another fashion
-  class OrxListener : public FrameListener
+  class OrxListener : public Ogre::FrameListener
   {
     public:
@@ -90,5 +89,5 @@
       }
 
-      bool frameStarted(const FrameEvent& evt)
+      bool frameStarted(const Ogre::FrameEvent& evt)
       {
         auMan_->update();
@@ -154,12 +153,12 @@
    * @param path path to config (in home dir or something)
    */
-  void Orxonox::init(int argc, char **argv, std::string path)
+  void Orxonox::init(int argc, char **argv, String path)
   {
     //TODO: find config file (assuming executable directory)
     //TODO: read config file
     //TODO: give config file to Ogre
-    std::string mode;
+    String mode;
 //     if(argc>=2)
-//       mode = std::string(argv[1]);
+//       mode = String(argv[1]);
 //     else
 //       mode = "";
@@ -170,15 +169,15 @@
     //mode = "presentation";
     if(ar.errorHandling()) die();
-    if(mode == std::string("server"))
+    if(mode == String("server"))
     {
       serverInit(path);
       mode_ = SERVER;
     }
-    else if(mode == std::string("client"))
+    else if(mode == String("client"))
     {
       clientInit(path);
       mode_ = CLIENT;
     }
-    else if(mode == std::string("presentation"))
+    else if(mode == String("presentation"))
     {
       serverInit(path);
@@ -244,5 +243,5 @@
   }
 
-  void Orxonox::standaloneInit(std::string path)
+  void Orxonox::standaloneInit(String path)
   {
     ogre_->setConfigPath(path);
@@ -263,5 +262,5 @@
   }
 
-  void Orxonox::playableServer(std::string path)
+  void Orxonox::playableServer(String path)
   {
     ogre_->setConfigPath(path);
@@ -297,5 +296,5 @@
   }
 
-  void Orxonox::serverInit(std::string path)
+  void Orxonox::serverInit(String path)
   {
     COUT(2) << "initialising server" << std::endl;
@@ -307,5 +306,5 @@
   }
 
-  void Orxonox::clientInit(std::string path)
+  void Orxonox::clientInit(String path)
   {
     COUT(2) << "initialising client" << std::endl;
@@ -322,5 +321,5 @@
   void Orxonox::defineResources()
   {
-    Ogre::String secName, typeName, archName;
+    String secName, typeName, archName;
     Ogre::ConfigFile cf;
 #if OGRE_PLATFORM == OGRE_PLATFORM_APPLE
@@ -341,7 +340,7 @@
         archName = i->second;
 #if OGRE_PLATFORM == OGRE_PLATFORM_APPLE
-        ResourceGroupManager::getSingleton().addResourceLocation( String(macBundlePath() + "/" + archName), typeName, secName);
+        Ogre::ResourceGroupManager::getSingleton().addResourceLocation( String(macBundlePath() + "/" + archName), typeName, secName);
 #else
-        ResourceGroupManager::getSingleton().addResourceLocation( archName, typeName, secName);
+        Ogre::ResourceGroupManager::getSingleton().addResourceLocation( archName, typeName, secName);
 #endif
       }
@@ -352,5 +351,5 @@
   {
     if (!root_->restoreConfig() && !root_->showConfigDialog())
-      throw Exception(52, "User canceled the config dialog!", "OrxApplication::setupRenderSystem()");
+      throw Ogre::Exception(52, "User canceled the config dialog!", "OrxApplication::setupRenderSystem()");
   }
 
@@ -362,6 +361,6 @@
   void Orxonox::initializeResourceGroups()
   {
-    TextureManager::getSingleton().setDefaultNumMipmaps(5);
-    ResourceGroupManager::getSingleton().initialiseAllResourceGroups();
+    Ogre::TextureManager::getSingleton().setDefaultNumMipmaps(5);
+    Ogre::ResourceGroupManager::getSingleton().initialiseAllResourceGroups();
   }
 
@@ -381,7 +380,7 @@
     loader_->loadLevel();
 
-    Overlay* hudOverlay = OverlayManager::getSingleton().getByName("Orxonox/HUD1.2");
-    hud::HUD* orxonoxHud;
-    orxonoxHud = new hud::HUD();
+    Ogre::Overlay* hudOverlay = Ogre::OverlayManager::getSingleton().getByName("Orxonox/HUD1.2");
+    HUD* orxonoxHud;
+    orxonoxHud = new HUD();
     orxonoxHud->setEnergyValue(20);
     orxonoxHud->setEnergyDistr(20,20,60);
@@ -427,11 +426,11 @@
     // fixes auto repeat problem
     #if defined OIS_LINUX_PLATFORM
-      pl.insert(std::make_pair(std::string("XAutoRepeatOn"), std::string("true")));
+      pl.insert(std::make_pair(String("XAutoRepeatOn"), String("true")));
     #endif
 
-    RenderWindow *win = ogre_->getRoot()->getAutoCreatedWindow();
+      Ogre::RenderWindow *win = ogre_->getRoot()->getAutoCreatedWindow();
     win->getCustomAttribute("WINDOW", &windowHnd);
     windowHndStr << windowHnd;
-    pl.insert(std::make_pair(std::string("WINDOW"), windowHndStr.str()));
+    pl.insert(std::make_pair(String("WINDOW"), windowHndStr.str()));
     inputManager_ = OIS::InputManager::createInputSystem(pl);
 
